function [ index ] = CDCS( data,label )
%CDCS Summary of this function goes here
%   Detailed explanation goes here
lset = unique(label);
NC = length(lset);
[N,m] = size(data);
Numvect = zeros(NC,1);
intra=0;

    function[simv] = sim(g1,g2)
        n1 = size(g1,1);
        n2 = size(g2,1);
        simv = 1;
        for jj = 1:m
            gset = unique([g1(:,jj);g2(:,jj)]);
            lg = length(gset);
            for kk = 1:lg
                v=0;
                v1 = sum(g1(:,jj)==gset(kk))/n1;
                v2 = sum(g2(:,jj)==gset(kk))/n2;
                if v1<v2
                    v=v+v1;
                else 
                    v=v+v2;
                end
            end
            v=v/lg;
            simv = simv*v;
        end
    end
                    

for k = 1:NC
    group = data(label == lset(k),:);
    Numvect(k,1) = size(group,1);
    if Numvect(k,1) == 1
        t = group;
    else
        t = mode(group);
    end

    a = zeros(1,m);
    for j = 1:m
        
        a(1,j)=sum(group(:,j) == t(j));
        
    end
    tj = sum(a.^3);
    tt = tj/Numvect(k,1);
    intra = intra+Numvect(k,1)*tt/N;
    
end
pp = zeros(NC,NC);
for k1 = 1:NC
    for k2 = 1:NC
        d1 = data(label == lset(k1),:);
        d2 = data(label == lset(k2),:);
        nc1 = size(d1,1);
        nc2 = size(d2,1);
        p = sim(d1,d2)^(1/m);
        pp(k1,k2) = p*(nc1+nc2);
    end
end
inter = sum(pp(:))/((NC-1)*N);
index = intra/inter;
end

